# RPM specfile for gtkhtml module
# Generated Mon Feb 23 16:18:29 2004 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from 

%define nam	gtkhtml
%define ver	3.0.10
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	gtkhtml3.0
Version: 	3.0.10
Release:	0.ximian.5.1
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for Red Hat Linux 8.0 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	gtkhtml-3.0.10.tar.gz
BuildRequires:	intltool
BuildRequires:	libgal2.0-devel >= 1.99.11
BuildRequires:	libgnomeprint22-devel >= 2.2.1.1
BuildRequires:	libgnomeprintui22-devel >= 2.2.1.1
BuildRequires:	libsoup-devel >= 1.99.26
BuildRequires:	libbonoboui-devel = 2.0.1
BuildRequires:	bonobo-activation-devel = 1.0.3
BuildRequires:	GConf2-devel = 1.2.1
BuildRequires:	gail-devel = 0.17
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Requires:	libgtkhtml3.0_4 = 3.0.10-0.ximian.5.1
Requires:	bug-buddy
Provides:	ximian-gtkhtml3.0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gtkhtml3

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files
%defattr(-, root, root)
/usr/lib/gtkhtml
/usr/share/gtkhtml-3.0
/usr/*/locale/*/LC_MESSAGES/*.mo
/usr/lib/bonobo/servers/*


%package -n gtkhtml3.0-devel
Summary:	Development libraries, header files and utilities for GtkHTML
Group:		Development/Libraries
Requires:	gtkhtml3.0 = 3.0.10-0.ximian.5.1
Requires:	libgnomeprint22-devel
Requires:	libgnomeprintui22-devel
Requires:	bonobo-activation-devel
Requires:	libbonoboui-devel
Requires:	GConf2-devel
Requires:	libgal2.0-devel >= 1.99.11
Provides:	ximian-gtkhtml3.0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gtkhtml3-devel

%description -n gtkhtml3.0-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n gtkhtml3.0-devel
%defattr(-, root, root)
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/lib/pkgconfig/*.pc
/usr/include/*


%package -n libgtkhtml3.0_4
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Provides:	ximian-libgtkhtml3.0_4 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgtkhtml3.0-0
Obsoletes:	libgtkhtml3.0_0
Obsoletes:	libgtkhtml3.0_1
Obsoletes:	libgtkhtml3

%description -n libgtkhtml3.0_4
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files -n libgtkhtml3.0_4
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README TODO
/usr/lib/lib*.so.4*


%post -n libgtkhtml3.0_4
ldconfig

%postun -n libgtkhtml3.0_4
ldconfig

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkhtml-3.0.10
    ;;
all)
%setup  -q -n gtkhtml-3.0.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Feb 20 2004 Ximian, Inc.

- Version: 3.0.10-0.ximian.5.1
- Summary: New build.
- New automated build.

